import { sirenValidator } from 'camino-common/src/entreprise'
import { IApiSirenEtablissement, IApiSirenUniteLegale } from '../../src/tools/api-insee/types'

export const entreprise = {
  siren: sirenValidator.parse('729800706'),
  nic: '00586',
  siret: '72980070600586',
  statutDiffusionEtablissement: 'O',
  dateCreationEtablissement: '2020-02-01',
  trancheEffectifsEtablissement: null,
  anneeEffectifsEtablissement: null,
  activitePrincipaleRegistreMetiersEtablissement: null,
  dateDernierTraitementEtablissement: '2020-03-04T10:45:34',
  etablissementSiege: true,
  nombrePeriodesEtablissement: 1,
  uniteLegale: {
    etatAdministratifUniteLegale: 'A',
    statutDiffusionUniteLegale: 'O',
    dateCreationUniteLegale: new Date('1900-01-01'),
    categorieJuridiqueUniteLegale: '5599',
    denominationUniteLegale: 'PLACOPLATRE',
    sigleUniteLegale: null,
    denominationUsuelle1UniteLegale: null,
    denominationUsuelle2UniteLegale: null,
    denominationUsuelle3UniteLegale: null,
    sexeUniteLegale: null,
    nomUniteLegale: null,
    nomUsageUniteLegale: null,
    prenom1UniteLegale: null,
    prenom2UniteLegale: null,
    prenom3UniteLegale: null,
    prenom4UniteLegale: null,
    prenomUsuelUniteLegale: null,
    pseudonymeUniteLegale: null,
    activitePrincipaleUniteLegale: '23.62Z',
    nomenclatureActivitePrincipaleUniteLegale: 'NAFRev2',
    identifiantAssociationUniteLegale: null,
    economieSocialeSolidaireUniteLegale: 'N',
    caractereEmployeurUniteLegale: 'O',
    trancheEffectifsUniteLegale: '42',
    anneeEffectifsUniteLegale: '2017',
    nicSiegeUniteLegale: '00586',
    dateDernierTraitementUniteLegale: '2020-03-25T12:24:42',
    categorieEntreprise: 'GE',
    anneeCategorieEntreprise: '2017',
  },
  adresseEtablissement: {
    complementAdresseEtablissement: 'TOUR SAINT GOBAIN',
    numeroVoieEtablissement: '12',
    indiceRepetitionEtablissement: null,
    typeVoieEtablissement: 'PL',
    libelleVoieEtablissement: 'DE L IRIS',
    codePostalEtablissement: '92400',
    libelleCommuneEtablissement: 'COURBEVOIE',
    libelleCommuneEtrangerEtablissement: null,
    distributionSpecialeEtablissement: null,
    codeCommuneEtablissement: '92026',
    codeCedexEtablissement: null,
    libelleCedexEtablissement: null,
    codePaysEtrangerEtablissement: null,
    libellePaysEtrangerEtablissement: null,
  },
  adresse2Etablissement: {
    complementAdresse2Etablissement: null,
    numeroVoie2Etablissement: null,
    indiceRepetition2Etablissement: null,
    typeVoie2Etablissement: null,
    libelleVoie2Etablissement: null,
    codePostal2Etablissement: null,
    libelleCommune2Etablissement: null,
    libelleCommuneEtranger2Etablissement: null,
    distributionSpeciale2Etablissement: null,
    codeCommune2Etablissement: null,
    codeCedex2Etablissement: null,
    libelleCedex2Etablissement: null,
    codePaysEtranger2Etablissement: null,
    libellePaysEtranger2Etablissement: null,
  },
  periodesEtablissement: [
    {
      dateFin: null,
      dateDebut: '2020-02-01',
      etatAdministratifEtablissement: 'A',
      changementEtatAdministratifEtablissement: false,
      enseigne1Etablissement: null,
      enseigne2Etablissement: null,
      enseigne3Etablissement: null,
      changementEnseigneEtablissement: false,
      denominationUsuelleEtablissement: null,
      changementDenominationUsuelleEtablissement: false,
      activitePrincipaleEtablissement: '23.62Z',
      nomenclatureActivitePrincipaleEtablissement: 'NAFRev2',
      changementActivitePrincipaleEtablissement: false,
      caractereEmployeurEtablissement: 'N',
      changementCaractereEmployeurEtablissement: false,
    },
  ],
} as unknown as IApiSirenEtablissement

export const entrepriseAndEtablissements = {
  siren: '729800706',
  statutDiffusionUniteLegale: 'O',
  dateCreationUniteLegale: '1900-01-01',
  sigleUniteLegale: null,
  sexeUniteLegale: null,
  prenom1UniteLegale: null,
  prenom2UniteLegale: null,
  prenom3UniteLegale: null,
  prenom4UniteLegale: null,
  prenomUsuelUniteLegale: null,
  pseudonymeUniteLegale: null,
  identifiantAssociationUniteLegale: null,
  trancheEffectifsUniteLegale: '42',
  anneeEffectifsUniteLegale: '2017',
  dateDernierTraitementUniteLegale: '2020-03-25T12:24:42',
  nombrePeriodesUniteLegale: 10,
  categorieEntreprise: 'GE',
  anneeCategorieEntreprise: '2017',
  periodesUniteLegale: [
    {
      dateFin: null,
      dateDebut: '2020-02-01',
      etatAdministratifUniteLegale: 'A',
      changementEtatAdministratifUniteLegale: false,
      nomUniteLegale: null,
      changementNomUniteLegale: false,
      nomUsageUniteLegale: null,
      changementNomUsageUniteLegale: false,
      denominationUniteLegale: 'PLACOPLATRE',
      changementDenominationUniteLegale: false,
      denominationUsuelle1UniteLegale: null,
      denominationUsuelle2UniteLegale: null,
      denominationUsuelle3UniteLegale: null,
      changementDenominationUsuelleUniteLegale: false,
      categorieJuridiqueUniteLegale: '5599',
      changementCategorieJuridiqueUniteLegale: false,
      activitePrincipaleUniteLegale: '23.62Z',
      nomenclatureActivitePrincipaleUniteLegale: 'NAFRev2',
      changementActivitePrincipaleUniteLegale: false,
      nicSiegeUniteLegale: '00586',
      changementNicSiegeUniteLegale: true,
      economieSocialeSolidaireUniteLegale: 'N',
      changementEconomieSocialeSolidaireUniteLegale: true,
      caractereEmployeurUniteLegale: 'O',
      changementCaractereEmployeurUniteLegale: false,
    },
    {
      dateFin: '2020-01-31',
      dateDebut: '2019-01-01',
      etatAdministratifUniteLegale: 'A',
      changementEtatAdministratifUniteLegale: false,
      nomUniteLegale: null,
      changementNomUniteLegale: false,
      nomUsageUniteLegale: null,
      changementNomUsageUniteLegale: false,
      denominationUniteLegale: 'PLACOPLATRE',
      changementDenominationUniteLegale: false,
      denominationUsuelle1UniteLegale: null,
      denominationUsuelle2UniteLegale: null,
      denominationUsuelle3UniteLegale: null,
      changementDenominationUsuelleUniteLegale: false,
      categorieJuridiqueUniteLegale: '5599',
      changementCategorieJuridiqueUniteLegale: false,
      activitePrincipaleUniteLegale: '23.62Z',
      nomenclatureActivitePrincipaleUniteLegale: 'NAFRev2',
      changementActivitePrincipaleUniteLegale: false,
      nicSiegeUniteLegale: '00222',
      changementNicSiegeUniteLegale: false,
      economieSocialeSolidaireUniteLegale: 'N',
      changementEconomieSocialeSolidaireUniteLegale: true,
      caractereEmployeurUniteLegale: 'O',
      changementCaractereEmployeurUniteLegale: false,
    },
    {
      dateFin: '2018-12-31',
      dateDebut: '2008-12-31',
      etatAdministratifUniteLegale: 'A',
      changementEtatAdministratifUniteLegale: false,
      nomUniteLegale: null,
      changementNomUniteLegale: false,
      nomUsageUniteLegale: null,
      changementNomUsageUniteLegale: false,
      denominationUniteLegale: 'PLACOPLATRE',
      changementDenominationUniteLegale: false,
      denominationUsuelle1UniteLegale: null,
      denominationUsuelle2UniteLegale: null,
      denominationUsuelle3UniteLegale: null,
      changementDenominationUsuelleUniteLegale: false,
      categorieJuridiqueUniteLegale: '5599',
      changementCategorieJuridiqueUniteLegale: false,
      activitePrincipaleUniteLegale: '23.62Z',
      nomenclatureActivitePrincipaleUniteLegale: 'NAFRev2',
      changementActivitePrincipaleUniteLegale: true,
      nicSiegeUniteLegale: '00222',
      changementNicSiegeUniteLegale: false,
      economieSocialeSolidaireUniteLegale: null,
      changementEconomieSocialeSolidaireUniteLegale: false,
      caractereEmployeurUniteLegale: 'O',
      changementCaractereEmployeurUniteLegale: false,
    },
    {
      dateFin: '2008-12-30',
      dateDebut: '2008-08-20',
      etatAdministratifUniteLegale: 'A',
      changementEtatAdministratifUniteLegale: false,
      nomUniteLegale: null,
      changementNomUniteLegale: false,
      nomUsageUniteLegale: null,
      changementNomUsageUniteLegale: false,
      denominationUniteLegale: 'PLACOPLATRE',
      changementDenominationUniteLegale: false,
      denominationUsuelle1UniteLegale: null,
      denominationUsuelle2UniteLegale: null,
      denominationUsuelle3UniteLegale: null,
      changementDenominationUsuelleUniteLegale: false,
      categorieJuridiqueUniteLegale: '5599',
      changementCategorieJuridiqueUniteLegale: false,
      activitePrincipaleUniteLegale: '46.73A',
      nomenclatureActivitePrincipaleUniteLegale: 'NAFRev2',
      changementActivitePrincipaleUniteLegale: true,
      nicSiegeUniteLegale: '00222',
      changementNicSiegeUniteLegale: false,
      economieSocialeSolidaireUniteLegale: null,
      changementEconomieSocialeSolidaireUniteLegale: false,
      caractereEmployeurUniteLegale: 'O',
      changementCaractereEmployeurUniteLegale: false,
    },
    {
      dateFin: '2008-08-19',
      dateDebut: '2008-01-01',
      etatAdministratifUniteLegale: 'A',
      changementEtatAdministratifUniteLegale: false,
      nomUniteLegale: null,
      changementNomUniteLegale: false,
      nomUsageUniteLegale: null,
      changementNomUsageUniteLegale: false,
      denominationUniteLegale: 'PLACOPLATRE',
      changementDenominationUniteLegale: false,
      denominationUsuelle1UniteLegale: null,
      denominationUsuelle2UniteLegale: null,
      denominationUsuelle3UniteLegale: null,
      changementDenominationUsuelleUniteLegale: false,
      categorieJuridiqueUniteLegale: '5599',
      changementCategorieJuridiqueUniteLegale: false,
      activitePrincipaleUniteLegale: '23.62Z',
      nomenclatureActivitePrincipaleUniteLegale: 'NAFRev2',
      changementActivitePrincipaleUniteLegale: true,
      nicSiegeUniteLegale: '00222',
      changementNicSiegeUniteLegale: false,
      economieSocialeSolidaireUniteLegale: null,
      changementEconomieSocialeSolidaireUniteLegale: false,
      caractereEmployeurUniteLegale: 'O',
      changementCaractereEmployeurUniteLegale: false,
    },
    {
      dateFin: '2007-12-31',
      dateDebut: '2004-12-25',
      etatAdministratifUniteLegale: 'A',
      changementEtatAdministratifUniteLegale: false,
      nomUniteLegale: null,
      changementNomUniteLegale: false,
      nomUsageUniteLegale: null,
      changementNomUsageUniteLegale: false,
      denominationUniteLegale: 'PLACOPLATRE',
      changementDenominationUniteLegale: false,
      denominationUsuelle1UniteLegale: null,
      denominationUsuelle2UniteLegale: null,
      denominationUsuelle3UniteLegale: null,
      changementDenominationUsuelleUniteLegale: false,
      categorieJuridiqueUniteLegale: '5599',
      changementCategorieJuridiqueUniteLegale: false,
      activitePrincipaleUniteLegale: '26.6C',
      nomenclatureActivitePrincipaleUniteLegale: 'NAFRev1',
      changementActivitePrincipaleUniteLegale: true,
      nicSiegeUniteLegale: '00222',
      changementNicSiegeUniteLegale: false,
      economieSocialeSolidaireUniteLegale: null,
      changementEconomieSocialeSolidaireUniteLegale: false,
      caractereEmployeurUniteLegale: 'O',
      changementCaractereEmployeurUniteLegale: false,
    },
    {
      dateFin: '2004-12-24',
      dateDebut: '2000-01-01',
      etatAdministratifUniteLegale: 'A',
      changementEtatAdministratifUniteLegale: false,
      nomUniteLegale: null,
      changementNomUniteLegale: false,
      nomUsageUniteLegale: null,
      changementNomUsageUniteLegale: false,
      denominationUniteLegale: 'PLACOPLATRE',
      changementDenominationUniteLegale: true,
      denominationUsuelle1UniteLegale: null,
      denominationUsuelle2UniteLegale: null,
      denominationUsuelle3UniteLegale: null,
      changementDenominationUsuelleUniteLegale: false,
      categorieJuridiqueUniteLegale: '5599',
      changementCategorieJuridiqueUniteLegale: false,
      activitePrincipaleUniteLegale: null,
      nomenclatureActivitePrincipaleUniteLegale: null,
      changementActivitePrincipaleUniteLegale: false,
      nicSiegeUniteLegale: '00222',
      changementNicSiegeUniteLegale: false,
      economieSocialeSolidaireUniteLegale: null,
      changementEconomieSocialeSolidaireUniteLegale: false,
      caractereEmployeurUniteLegale: 'O',
      changementCaractereEmployeurUniteLegale: false,
    },
    {
      dateFin: '1999-12-31',
      dateDebut: '1997-12-25',
      etatAdministratifUniteLegale: 'A',
      changementEtatAdministratifUniteLegale: false,
      nomUniteLegale: null,
      changementNomUniteLegale: false,
      nomUsageUniteLegale: null,
      changementNomUsageUniteLegale: false,
      denominationUniteLegale: 'PLACOPLATRE LAMBERT',
      changementDenominationUniteLegale: false,
      denominationUsuelle1UniteLegale: null,
      denominationUsuelle2UniteLegale: null,
      denominationUsuelle3UniteLegale: null,
      changementDenominationUsuelleUniteLegale: false,
      categorieJuridiqueUniteLegale: '5599',
      changementCategorieJuridiqueUniteLegale: false,
      activitePrincipaleUniteLegale: null,
      nomenclatureActivitePrincipaleUniteLegale: null,
      changementActivitePrincipaleUniteLegale: false,
      nicSiegeUniteLegale: '00222',
      changementNicSiegeUniteLegale: false,
      economieSocialeSolidaireUniteLegale: null,
      changementEconomieSocialeSolidaireUniteLegale: false,
      caractereEmployeurUniteLegale: 'O',
      changementCaractereEmployeurUniteLegale: true,
    },
    {
      dateFin: '1997-12-24',
      dateDebut: '1997-01-01',
      etatAdministratifUniteLegale: 'A',
      changementEtatAdministratifUniteLegale: false,
      nomUniteLegale: null,
      changementNomUniteLegale: false,
      nomUsageUniteLegale: null,
      changementNomUsageUniteLegale: false,
      denominationUniteLegale: 'PLACOPLATRE LAMBERT',
      changementDenominationUniteLegale: true,
      denominationUsuelle1UniteLegale: null,
      denominationUsuelle2UniteLegale: null,
      denominationUsuelle3UniteLegale: null,
      changementDenominationUsuelleUniteLegale: false,
      categorieJuridiqueUniteLegale: '5599',
      changementCategorieJuridiqueUniteLegale: false,
      activitePrincipaleUniteLegale: null,
      nomenclatureActivitePrincipaleUniteLegale: null,
      changementActivitePrincipaleUniteLegale: false,
      nicSiegeUniteLegale: '00222',
      changementNicSiegeUniteLegale: false,
      economieSocialeSolidaireUniteLegale: null,
      changementEconomieSocialeSolidaireUniteLegale: false,
      caractereEmployeurUniteLegale: null,
      changementCaractereEmployeurUniteLegale: false,
    },
    {
      dateFin: '1996-12-31',
      dateDebut: '1900-01-01',
      etatAdministratifUniteLegale: 'A',
      changementEtatAdministratifUniteLegale: false,
      nomUniteLegale: null,
      changementNomUniteLegale: false,
      nomUsageUniteLegale: null,
      changementNomUsageUniteLegale: false,
      denominationUniteLegale: 'PLACOPLATRE S A',
      changementDenominationUniteLegale: false,
      denominationUsuelle1UniteLegale: null,
      denominationUsuelle2UniteLegale: null,
      denominationUsuelle3UniteLegale: null,
      changementDenominationUsuelleUniteLegale: false,
      categorieJuridiqueUniteLegale: '5599',
      changementCategorieJuridiqueUniteLegale: false,
      activitePrincipaleUniteLegale: null,
      nomenclatureActivitePrincipaleUniteLegale: null,
      changementActivitePrincipaleUniteLegale: false,
      nicSiegeUniteLegale: '00222',
      changementNicSiegeUniteLegale: false,
      economieSocialeSolidaireUniteLegale: null,
      changementEconomieSocialeSolidaireUniteLegale: false,
      caractereEmployeurUniteLegale: null,
      changementCaractereEmployeurUniteLegale: false,
    },
  ],
} as unknown as IApiSirenUniteLegale
